<?php ob_start();?>
<style>
#openFile{
	display:none;
}
</style>
<?php
$title = 'Добавление товара';
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/head.php');
admin(3);
$_GET['id'] = abs(intval($_GET['id']));
$query = $db->query("SELECT * FROM `categories` WHERE `id`='".$_GET['id']."'");
if($query->num_rows==0){
	header('location:/admin');
}
$section = $query->fetch_assoc();
?>
<div class="container theme-showcase" role="main">
	<div class="page-header">
		<h1>Добавление товара в категорию <?=output($section['name'])?></h1>
	</div>
	<?
	if(isset($_POST['ok'])){
	$_POST['name'] = input($_POST['name']);
	$_POST['description'] = input($_POST['description']);
	$_POST['in_stock'] = intval($_POST['in_stock']);
	$_POST['price'] = intval($_POST['price']);
	if(empty($_POST['name'])){
		showAlertDanger('Введите название!');
	}elseif(empty($_POST['description'])){
		showAlertDanger('Введите описание!');
	}elseif(empty($_POST['in_stock'])){
		showAlertDanger('Введите кол-во товара в наличии');
	}elseif(empty($_POST['price'])){
		showAlertDanger('Введите цену');
	}elseif($_POST['price'] <= 0){
		showAlertDanger('Цена должна быть больше нуля');
	}else{
		if(!file_exists($_FILES['file']['tmp_name'])){
			showAlertDanger('Прикрепите изображение товара!');
		}else{
			$types = explode(',', 'png,jpg,jpeg,bmp,ico,JPG');
			$upfiletype = substr($_FILES['file']['name'], strrpos($_FILES['file']['name'], ".") + 1);
			if($_FILES['file']['size'] > (1048576 * 5)){
				?>
				<div class="alert alert-danger" role="alert"><span class="glyphicon glyphicon-remove-sign" aria-hidden="true"></span> Размер выгружаемого файла, не должен превышать 5 мб!</div>
				<?
			}elseif(!in_array($upfiletype, $types)){
				?>
				<div class="alert alert-danger" role="alert"><span class="glyphicon glyphicon-remove-sign" aria-hidden="true"></span> Файл такого типа выгружать запрещено!</div>
			<?
			}else{
				$name = md5($_GET['id'] + time()).'.'.$upfiletype;
				copy($_FILES['file']['tmp_name'], $_SERVER["DOCUMENT_ROOT"].'/files/images/products/'.$name);
				$db->query("INSERT INTO `products` SET `name`='".$_POST['name']."', `id_categorie`='".$_GET['id']."', `description`='".$_POST['description']."', `in_stock`='".$_POST['in_stock']."', `price`='".$_POST['price']."'");
				$last = $db->insert_id;
				$db->query("INSERT INTO `products_images` SET `id_product`=".$last.", `image`='".$name."'");
				header('location:/product/'.$last);

			}
		}
	}
}
	?>
	<div class="row">
		<form action="" method="POST" enctype="multipart/form-data">
			<div class="form-row">
				<div class="form-group">
					<label for="inputName">Название</label>
					<input type="text" class="form-control" placeholder="Введите название товара" rows="5" name="name" id="inputName">
				</div>
			</div>
			<div class="form-row">
				<div class="form-group">
					<label for="inputDescription">Описание</label>
					<textarea class="form-control" placeholder="Опишите товар" rows="5" name="description" id="inputDescription"></textarea>
				</div>
			</div>
			<div class="form-row">
				<div class="form-group">
					<label for="inputInStock">Количество в наличии</label>
					<input type="number" class="form-control" placeholder="Введите количество товара в наличии" rows="5" name="in_stock" id="inputInStock">
				</div>
			</div>
			<div class="form-row">
				<div class="form-group">
					<label for="inputPrice">Цена</label>
					<input type="number" class="form-control" placeholder="Введите стоимость товара" rows="5" name="price" id="inputPrice">
				</div>
			</div>
			<input type="file" name="file" id="openFile" accept="image/*,image/jpeg">
			<label for="openFile"><small class="btn btn-default btn-xs"><i class="glyphicon glyphicon-camera"></i> Прикрепить изображение</small></label>    
			<button type="submit" class="btn btn-primary pull-right" name="ok">Добавить товар</button>
		</form>
	</div>
</div>
<?
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/foot.php');
?>